{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
{{ block.super }}
<script type="text/javascript" src="{% static 'custom/js/Pagos/ventana_popup.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
{{ media }}
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
<div class="breadcrumbs">
    <a href="../../../../">
        {% trans "Inicio" %} &rsaquo;
    </a>
    <a href="../../">
        {% trans "Ciclos Académicos" %} &rsaquo;
    </a>
    <a href="../../configurar/">
        {% trans "Configurar" %} &rsaquo;
    </a>
    {{ periodo }} ({{ curso.Carrera.Carrera }} - {{ curso.Nombre }} - {{ curso.Ciclo }}º Ciclo)
</div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
<h2>{{ periodo }} ({{ curso.Carrera.Carrera }} - {{ curso.Nombre }} - {{ curso.Ciclo }}º Ciclo)</h2>
<div id="content-main">
    <div class="module aligned" id="changelist">
        {% block object-tools %}
        <ul class="object-tools">
            {% if perms.Cursos.add_periodocurso %}
            <li>
                <a id="lookup_id_PeriodoCurso" class="addlink" onclick="return abrir_popup('../../agregar/{{ periodo.id }}/{{ curso.id }}/');" href="../../agregar/{{ periodo.id }}/{{ curso.id }}/">
                    {% trans 'Agregar Grupo Horario' %}
                </a>
            </li>
            {% endif %}
        </ul>
        {% endblock %}

        {% block result_list %}
        {% if cursos %}
        <table cellspacing="0">
            <THEAD>
                <TR>
                    <TH>&rsaquo;</TH>
                    <TH>{% trans 'Grupo Horario' %}</TH>
                    <TH>{% trans 'Docente' %}</TH>
                    <TH>{% trans 'Comentario' %}</TH>
                    {% if perms.Cursos.change_periodocurso %}
                    <TH>{% trans 'Acción' %}</TH>
                    {% endif %}
                    {% if perms.Cursos.delete_periodocurso %}
                    <TH>{% trans 'Acción' %}</TH>
                    {% endif %}
                </TR>
            </THEAD>
            <TBODY>
                {% for curso in cursos.object_list %}
                <TR class="{% cycle 'row1' 'row2' %}">
                    <TD>&rsaquo;</TD>
                    <TD><a href="../../ver/{{ curso.id }}/">{{ curso.Grupo|escape }}</a></TD>
                    <TD>{{ curso.Docente|escape }}</TD>
                    <TD>{{ curso.Observaciones|escape }}</TD>
                    {% if perms.Cursos.change_periodocurso %}
                    <TD><a class="changelink" href="../../editar/{{ curso.id|escape }}/"  onclick="return abrir_popup('../../editar/{{ curso.id|escape }}/');"></a></TD>
                    {% endif %}
                    {% if perms.Cursos.delete_periodocurso %}
                    <TD><a class="deletelink" href="../../{{ curso.id|escape }}/delete/"  onclick="return abrir_popup('../../{{ curso.id|escape }}/delete/');"></a></TD>
                    {% endif %}
                </TR>
                {% endfor %}
            </TBODY>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
        {% endblock %}
        {% block pagination %}
        <p class="paginator">
            <span class="step-links">
                {% if results.has_previous %}
                <a href="?page={{ results.previous_page_number }}">previa</a>
                {% endif %}
                <span class="this-page">
                    Página {{ results.number }} de {{ results.paginator.num_pages }}
                </span>

                {% if results.has_next %}
                <a href="?page={{ results.next_page_number }}">siguiente</a>
                {% endif %}
            </span>
            {{ n_grupos }} Grupo(s) Horarios
        </p>
        {% endblock %}
    </div>
</div>
{% endblock %}